Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.neat
Class PersistNEATPopulation

    java.lang.Object
      org.encog.neural.neat.PersistNEATPopulation

All Implemented Interfaces:
  EncogPersistor

    public class PersistNEATPopulation

extends Object
implements EncogPersistor

Persist a NEAT or HyperNEAT network. ----------------------------------------------------------------------------- http://www.cs.ucf.edu/~kstanley/ Encog's NEAT implementation was drawn from the following three Journal Articles. For more complete BibTeX sources, see NEATNetwork.java. Evolving Neural Networks Through Augmenting Topologies Generating Large-Scale Neural Networks Through Discovering Geometric Regularities Automatic feature selection in neuroevolution

Field Summary
`static String` | `TYPE_CPPN` Type for the Compositional pattern-producing networks used by HyperNEAT.

Constructor Summary
`PersistNEATPopulation()`

Method Summary
`int` | `getFileVersion()`
`String` | `getPersistClassString()`
`static String` | `neuronTypeToString(NEATNeuronType t)` Convert a NEATNeuronType enum to a string.
`Object` | `read(InputStream is)` Read the object from an input stream.
`void` | `save(OutputStream os, Object obj)` Save the object.
`static NEATNeuronType` | `stringToNeuronType(String t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_CPPN

    public static final String TYPE_CPPN

  Type for the Compositional pattern-producing networks used by HyperNEAT.

  See Also:
    Constant Field Values

Constructor Detail

### PersistNEATPopulation

    public PersistNEATPopulation()

Method Detail

### neuronTypeToString

    public static String neuronTypeToString(NEATNeuronType t)

  Convert a NEATNeuronType enum to a string.

  Parameters:
    `t` - The type.
  Returns:
    The string type.

### stringToNeuronType

    public static NEATNeuronType stringToNeuronType(String t)

### getFileVersion

    public int getFileVersion()

  Specified by:
    `getFileVersion` in interface `EncogPersistor`
  Returns:
    Get the file version used by this persistor.

### getPersistClassString

    public String getPersistClassString()

  Specified by:
    `getPersistClassString` in interface `EncogPersistor`
  Returns:
    Get the class string for the object.

### read

    public Object read(InputStream is)

  Description copied from interface: `EncogPersistor`
  Read the object from an input stream.

  Specified by:
    `read` in interface `EncogPersistor`
  Parameters:
    `is` - The input stream.
  Returns:
    The object.

### save

    public void save(OutputStream os,
                     Object obj)

  Description copied from interface: `EncogPersistor`
  Save the object.

  Specified by:
    `save` in interface `EncogPersistor`
  Parameters:
    `os` - The output stream to save to.
    `obj` - The object to save.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.